#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hatelji1.47_base.ps
projection=-JM16.0c+
region=-R17.4/19.1/42.5/43.6
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map hatelji1.47' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    43.522    18.276
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    43.473    18.166
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    42.773    18.171
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    42.966    17.826
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    42.958    17.813
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    42.962    17.842
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    43.451    18.603
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    42.817    18.801
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    43.006    17.883
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    43.015    17.859
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    43.022    17.856
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    42.824    18.731
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    43.343    18.520
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    42.613    18.171
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    42.769    17.970
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    42.771    17.884
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    42.751    17.899
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    42.835    17.830
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    42.758    17.869
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    42.841    17.855
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    42.792    17.910
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    42.821    17.870
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    42.794    17.855
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    42.843    17.877
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    42.821    17.901
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    42.802    17.866
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    42.752    17.859
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    42.771    17.859
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    42.835    17.874
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    42.838    17.850
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    42.855    17.884
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    42.820    17.922
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    42.798    17.850
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    42.817    17.793
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    42.785    17.924
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    42.795    17.907
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    42.794    17.955
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    42.796    17.882
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    43.087    18.312
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    43.447    18.275
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    43.440    18.250
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    42.694    18.483
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    43.113    18.959
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    43.000    17.775
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    43.001    17.724
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    43.164    18.171
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    42.815    17.804
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    43.324    18.720
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    43.330    18.704
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    43.232    17.818
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    42.649    17.901
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    43.283    17.961
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    43.028    18.143
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    43.021    18.719
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    43.024    17.573
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    43.458    18.568
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    43.203    18.841
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    43.149    18.765
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    43.148    18.745
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    43.167    18.886
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    43.176    18.773
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    43.191    18.706
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    43.192    18.698
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    43.183    18.699
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    42.908    17.868
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    42.880    17.807
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    43.225    17.809
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    42.928    17.818
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    43.266    18.708
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    43.241    18.671
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    43.176    18.724
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    43.089    18.765
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    42.980    18.762
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    43.159    18.483
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    43.041    18.347
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    42.906    18.205
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    43.065    18.775
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    42.742    17.913
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    43.091    17.506
END
gmt psxy -: -R $projection -Sl8p+t"80" -G0 -O -K << END >> $psfile
    43.048    18.764
END
gmt psxy -: -R $projection -Sl8p+t"81" -G0 -O -K << END >> $psfile
    43.049    18.773
END
gmt psxy -: -R $projection -Sl8p+t"82" -G0 -O -K << END >> $psfile
    43.037    18.770
END
gmt psxy -: -R $projection -Sl8p+t"83" -G0 -O -K << END >> $psfile
    42.805    18.693
END
gmt psxy -: -R $projection -Sl8p+t"84" -G0 -O -K << END >> $psfile
    43.014    17.985
END
gmt psxy -: -R $projection -Sl8p+t"85" -G0 -O -K << END >> $psfile
    42.958    17.962
END
gmt psxy -: -R $projection -Sl8p+t"86" -G0 -O -K << END >> $psfile
    42.901    18.509
END
gmt psxy -: -R $projection -Sl8p+t"87" -G0 -O -K << END >> $psfile
    43.047    18.024
END
gmt psxy -: -R $projection -Sl8p+t"88" -G0 -O -K << END >> $psfile
    43.245    17.885
END
gmt psxy -: -R $projection -Sl8p+t"89" -G0 -O -K << END >> $psfile
    42.883    18.509
END
gmt psxy -: -R $projection -Sl8p+t"90" -G0 -O -K << END >> $psfile
    43.194    17.798
END
gmt psxy -: -R $projection -Sl8p+t"91" -G0 -O -K << END >> $psfile
    43.302    17.644
END
gmt psxy -: -R $projection -Sl8p+t"92" -G0 -O -K << END >> $psfile
    43.198    17.782
END
gmt psxy -: -R $projection -Sl8p+t"93" -G0 -O -K << END >> $psfile
    43.179    17.808
END
gmt psxy -: -R $projection -Sl8p+t"94" -G0 -O -K << END >> $psfile
    43.191    17.968
END
gmt psxy -: -R $projection -Sl8p+t"95" -G0 -O -K << END >> $psfile
    43.273    18.047
END
gmt psxy -: -R $projection -Sl8p+t"96" -G0 -O -K << END >> $psfile
    43.473    17.721
END
gmt psxy -: -R $projection -Sl8p+t"97" -G0 -O -K << END >> $psfile
    42.623    18.231
END
gmt psxy -: -R $projection -Sl8p+t"98" -G0 -O -K << END >> $psfile
    43.015    17.753
END
gmt psxy -: -R $projection -Sl8p+t"99" -G0 -O -K << END >> $psfile
    43.192    17.853
END
gmt psxy -: -R $projection -Sl8p+t"100" -G0 -O -K << END >> $psfile
    42.740    17.944
END
gmt psxy -: -R $projection -Sl8p+t"101" -G0 -O -K << END >> $psfile
    43.051    18.173
END
gmt psxy -: -R $projection -Sl8p+t"102" -G0 -O -K << END >> $psfile
    43.072    18.025
END
gmt psxy -: -R $projection -Sl8p+t"103" -G0 -O -K << END >> $psfile
    43.082    18.058
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.522    18.276
    43.522    18.276
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.547    18.350
    43.522    18.276
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.473    18.166
    43.473    18.166
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.485    18.165
    43.473    18.166
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.773    18.171
    42.773    18.171
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.755    18.139
    42.773    18.171
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.968    17.826
    42.966    17.826
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.918    17.792
    42.966    17.826
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.959    17.813
    42.958    17.813
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.865    17.801
    42.958    17.813
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.963    17.841
    42.962    17.842
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.933    17.746
    42.962    17.842
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.452    18.604
    43.451    18.603
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.410    18.574
    43.451    18.603
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.817    18.801
    42.817    18.801
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.813    18.744
    42.817    18.801
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.007    17.884
    43.006    17.883
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.019    17.897
    43.006    17.883
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.013    17.858
    43.015    17.859
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.956    17.756
    43.015    17.859
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.022    17.856
    43.022    17.856
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.022    17.790
    43.022    17.856
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.824    18.730
    42.824    18.731
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.817    18.680
    42.824    18.731
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.343    18.520
    43.343    18.520
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.350    18.524
    43.343    18.520
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.612    18.170
    42.613    18.171
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.639    18.219
    42.613    18.171
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.769    17.970
    42.769    17.970
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.780    17.923
    42.769    17.970
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.772    17.883
    42.771    17.884
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.789    17.775
    42.771    17.884
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.751    17.896
    42.751    17.899
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.776    17.813
    42.751    17.899
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.838    17.830
    42.835    17.830
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.924    17.797
    42.835    17.830
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.759    17.869
    42.758    17.869
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.823    17.802
    42.758    17.869
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.841    17.855
    42.841    17.855
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.838    17.774
    42.841    17.855
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.792    17.910
    42.792    17.910
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.824    17.837
    42.792    17.910
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.821    17.870
    42.821    17.870
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.846    17.819
    42.821    17.870
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.794    17.855
    42.794    17.855
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.793    17.753
    42.794    17.855
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.842    17.876
    42.843    17.877
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.863    17.799
    42.843    17.877
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.822    17.901
    42.821    17.901
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.772    17.821
    42.821    17.901
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.803    17.866
    42.802    17.866
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.759    17.784
    42.802    17.866
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.750    17.859
    42.752    17.859
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.822    17.888
    42.752    17.859
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.770    17.859
    42.771    17.859
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.811    17.813
    42.771    17.859
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.835    17.874
    42.835    17.874
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.844    17.804
    42.835    17.874
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.839    17.849
    42.838    17.850
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.869    17.835
    42.838    17.850
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.855    17.884
    42.855    17.884
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.844    17.881
    42.855    17.884
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.820    17.922
    42.820    17.922
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.867    17.896
    42.820    17.922
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.797    17.849
    42.798    17.850
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.826    17.812
    42.798    17.850
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.817    17.792
    42.817    17.793
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.848    17.748
    42.817    17.793
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.786    17.924
    42.785    17.924
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.797    17.870
    42.785    17.924
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.795    17.906
    42.795    17.907
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.799    17.872
    42.795    17.907
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.794    17.954
    42.794    17.955
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.815    17.866
    42.794    17.955
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.796    17.882
    42.796    17.882
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.796    17.782
    42.796    17.882
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.088    18.312
    43.087    18.312
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.125    18.310
    43.087    18.312
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.444    18.272
    43.447    18.275
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.400    18.207
    43.447    18.275
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.439    18.249
    43.440    18.250
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.383    18.143
    43.440    18.250
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.695    18.484
    42.694    18.483
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.727    18.329
    42.694    18.483
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.112    18.958
    43.113    18.959
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.091    18.866
    43.113    18.959
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.001    17.777
    43.000    17.775
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.016    17.635
    43.000    17.775
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.001    17.723
    43.001    17.724
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.980    17.595
    43.001    17.724
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.162    18.169
    43.164    18.171
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.144    18.137
    43.164    18.171
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.816    17.804
    42.815    17.804
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.829    17.789
    42.815    17.804
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.325    18.720
    43.324    18.720
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.308    18.699
    43.324    18.720
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.330    18.704
    43.330    18.704
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.316    18.692
    43.330    18.704
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.232    17.817
    43.232    17.818
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.211    17.764
    43.232    17.818
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.649    17.900
    42.649    17.901
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.673    17.943
    42.649    17.901
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.283    17.961
    43.283    17.961
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.303    17.954
    43.283    17.961
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.028    18.144
    43.028    18.143
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.078    18.157
    43.028    18.143
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.021    18.719
    43.021    18.719
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.006    18.732
    43.021    18.719
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.024    17.572
    43.024    17.573
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.020    17.522
    43.024    17.573
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.458    18.568
    43.458    18.568
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.433    18.518
    43.458    18.568
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.203    18.840
    43.203    18.841
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.206    18.780
    43.203    18.841
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.149    18.765
    43.149    18.765
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.132    18.705
    43.149    18.765
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.148    18.744
    43.148    18.745
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.129    18.760
    43.148    18.745
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.167    18.886
    43.167    18.886
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.161    18.881
    43.167    18.886
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.176    18.772
    43.176    18.773
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.169    18.699
    43.176    18.773
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.191    18.706
    43.191    18.706
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.208    18.619
    43.191    18.706
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.192    18.698
    43.192    18.698
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.198    18.684
    43.192    18.698
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.183    18.699
    43.183    18.699
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.164    18.598
    43.183    18.699
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.909    17.869
    42.908    17.868
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.920    17.867
    42.908    17.868
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.881    17.807
    42.880    17.807
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.884    17.818
    42.880    17.807
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.224    17.808
    43.225    17.809
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.218    17.800
    43.225    17.809
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.928    17.818
    42.928    17.818
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.951    17.783
    42.928    17.818
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.266    18.708
    43.266    18.708
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.250    18.672
    43.266    18.708
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.241    18.671
    43.241    18.671
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.235    18.656
    43.241    18.671
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.176    18.723
    43.176    18.724
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.174    18.722
    43.176    18.724
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.089    18.765
    43.089    18.765
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.086    18.716
    43.089    18.765
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.980    18.762
    42.980    18.762
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.977    18.757
    42.980    18.762
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.159    18.483
    43.159    18.483
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.154    18.477
    43.159    18.483
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.042    18.348
    43.041    18.347
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.060    18.315
    43.041    18.347
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.906    18.205
    42.906    18.205
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.918    18.202
    42.906    18.205
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.066    18.775
    43.065    18.775
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.047    18.746
    43.065    18.775
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.742    17.912
    42.742    17.913
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.728    17.882
    42.742    17.913
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.091    17.506
    43.091    17.506
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.069    17.476
    43.091    17.506
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.048    18.764
    43.048    18.764
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.052    18.695
    43.048    18.764
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.049    18.773
    43.049    18.773
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.027    18.769
    43.049    18.773
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.037    18.770
    43.037    18.770
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.008    18.792
    43.037    18.770
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.805    18.693
    42.805    18.693
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.816    18.652
    42.805    18.693
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.014    17.984
    43.014    17.985
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.000    17.988
    43.014    17.985
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.959    17.961
    42.958    17.962
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.983    17.949
    42.958    17.962
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.901    18.509
    42.901    18.509
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.923    18.476
    42.901    18.509
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.047    18.023
    43.047    18.024
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.062    18.006
    43.047    18.024
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.245    17.885
    43.245    17.885
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.266    17.900
    43.245    17.885
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.883    18.509
    42.883    18.509
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.907    18.479
    42.883    18.509
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.194    17.798
    43.194    17.798
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.184    17.776
    43.194    17.798
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.301    17.644
    43.302    17.644
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.294    17.657
    43.302    17.644
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.197    17.782
    43.198    17.782
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.192    17.741
    43.198    17.782
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.179    17.808
    43.179    17.808
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.168    17.792
    43.179    17.808
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.191    17.968
    43.191    17.968
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.210    18.015
    43.191    17.968
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.273    18.047
    43.273    18.047
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.275    18.051
    43.273    18.047
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.473    17.721
    43.473    17.721
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.458    17.732
    43.473    17.721
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.623    18.230
    42.623    18.231
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.637    18.234
    42.623    18.231
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.016    17.753
    43.015    17.753
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.991    17.798
    43.015    17.753
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.193    17.853
    43.192    17.853
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.224    17.850
    43.192    17.853
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.740    17.944
    42.740    17.944
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.710    17.900
    42.740    17.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.051    18.172
    43.051    18.173
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.050    18.190
    43.051    18.173
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.072    18.024
    43.072    18.025
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.100    18.020
    43.072    18.025
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    43.082    18.062
    43.082    18.058
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    43.134    17.838
    43.082    18.058
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    43.522    18.276    26.925     0.175     3.246
    43.473    18.166   -53.652     1.634     2.190
    42.773    18.171   -21.120     2.249     2.323
    42.966    17.826   -73.771     1.262     1.664
    42.958    17.813   -60.066     1.720     2.228
    42.962    17.842   -52.370     1.335     1.569
    43.451    18.603   -37.747     1.993     3.551
    42.817    18.801   -47.884     1.246     2.229
    43.006    17.883   -52.443     1.005     1.685
    43.015    17.859   -52.666     1.291     2.022
    43.022    17.856   -55.637     1.144     2.301
    42.824    18.731   -48.165     1.694     2.518
    43.343    18.520   -54.671     1.330     2.824
    42.613    18.171   -67.226     0.941     1.433
    42.769    17.970   -66.283     0.808     1.347
    42.771    17.884   -66.699     1.107     2.155
    42.751    17.899   -70.563     1.697     2.729
    42.835    17.830   -65.201     1.383     2.684
    42.758    17.869   -65.345     1.345     2.359
    42.841    17.855   -55.714     1.488     2.793
    42.792    17.910   -58.367     1.697     2.813
    42.821    17.870   -64.721     1.388     2.493
    42.794    17.855   -67.457     1.636     3.030
    42.843    17.877   -68.367     1.173     2.233
    42.821    17.901   -64.057     1.901     3.357
    42.802    17.866   -68.239     1.465     2.408
    42.752    17.859   -63.868     1.016     1.946
    42.771    17.859   -63.647     1.426     2.791
    42.835    17.874   -61.210     1.241     2.235
    42.838    17.850   -64.714     1.388     2.867
    42.855    17.884   -62.676     1.688     3.009
    42.820    17.922   -62.862     0.821     1.210
    42.798    17.850   -56.301     1.497     2.174
    42.817    17.793   -60.291     1.039     1.964
    42.785    17.924   -63.341     1.703     3.038
    42.795    17.907   -68.012     1.646     2.935
    42.794    17.955   -57.794     0.985     1.546
    42.796    17.882   -69.973     1.605     2.522
    43.087    18.312   -64.775     1.189     2.363
    43.447    18.275   -45.140     1.128     2.948
    43.440    18.250   -41.685     1.374     3.542
    42.694    18.483   -55.546     1.233     2.178
    43.113    18.959   -48.113     1.668     2.699
    43.000    17.775   -37.224     1.202     1.495
    43.001    17.724   -55.118     1.225     1.567
    43.164    18.171   -61.334     0.987     1.392
    42.815    17.804    59.009     1.729     1.942
    43.324    18.720   -50.694     1.053     1.211
    43.330    18.704    24.646     1.879     2.436
    43.232    17.818   -62.151     1.057     1.263
    42.649    17.901    33.917     1.234     1.339
    43.283    17.961   -30.897     0.947     1.292
    43.028    18.143   -26.615     1.077     1.605
    43.021    18.719   -47.326     1.249     1.437
    43.024    17.573   -45.489     1.365     2.481
    43.458    18.568   -39.741     1.454     2.518
    43.203    18.841   -72.342     1.287     1.392
    43.149    18.765   -14.602     1.228     1.322
    43.148    18.745   -41.262     1.093     1.419
    43.167    18.886   -47.482     1.170     1.499
    43.176    18.773   -82.382     1.245     1.763
    43.191    18.706   -54.518     0.830     1.024
    43.192    18.698   -51.740     0.860     1.035
    43.183    18.699   -37.841     1.420     1.744
    42.908    17.868   -58.774     0.988     1.434
    42.880    17.807   -63.547     1.413     2.012
    43.225    17.809   -54.520     1.004     1.728
    42.928    17.818   -55.934     1.026     1.384
    43.266    18.708   -51.469     1.002     1.220
    43.241    18.671   -29.232     1.249     1.497
    43.176    18.724   -29.811     1.415     1.536
    43.089    18.765   -51.684     0.910     1.145
    42.980    18.762   -50.648     1.042     1.338
    43.159    18.483   -32.732     0.926     1.165
    43.041    18.347   -46.736     1.052     1.589
    42.906    18.205   -45.810     1.251     1.918
    43.065    18.775   -50.967     1.104     1.360
    42.742    17.913   -65.094     1.094     1.961
    43.091    17.506   -50.270     1.035     2.045
    43.048    18.764   -40.899     0.968     1.291
    43.049    18.773   -45.098     0.909     1.301
    43.037    18.770   -47.109     0.927     1.267
    42.805    18.693   -59.692     0.887     1.226
    43.014    17.985   -36.461     1.090     1.831
    42.958    17.962   -53.186     1.066     1.869
    42.901    18.509   -53.452     0.807     1.144
    43.047    18.024   -54.658     0.932     1.566
    43.245    17.885   -50.871     0.797     1.289
    42.883    18.509   -47.954     0.988     1.289
    43.194    17.798   -52.519     0.947     1.608
    43.302    17.644   -47.636     1.129     1.984
    43.198    17.782   -44.983     1.011     1.665
    43.179    17.808   -53.268     0.939     1.650
    43.191    17.968   -59.320     0.744     1.198
    43.273    18.047   -47.824     1.047     1.520
    43.473    17.721   -47.417     1.436     2.116
    42.623    18.231   -69.783     1.032     2.264
    43.015    17.753   -55.898     1.025     1.744
    43.192    17.853   -48.397     1.093     1.645
    42.740    17.944     5.709     1.243     1.336
    43.051    18.173   -70.490     0.863     1.350
    43.072    18.025   -51.737     1.525     2.717
    43.082    18.058   -52.605     2.063     3.574
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    42.566    17.479    21.798     1.195     1.612
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    42.566    17.501   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    42.566    17.479     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    42.566    17.479     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    42.521    17.479   5 km
END
