#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hatelji1.47_dcal.ps
projection=-JM16.0c+
region=-R14.9/21.5/40.7/45.4
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration hatelji1.47' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.873    18.428
    43.522    18.276
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.873    18.428
    43.473    18.166
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.873    18.428
    43.473    18.166
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.773    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.773    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.773    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.773    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.773    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.773    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.966    17.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.966    17.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.966    17.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.966    17.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.958    17.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.958    17.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.958    17.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.958    17.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.962    17.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.962    17.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.962    17.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.451    18.603
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.451    18.603
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.451    18.603
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.451    18.603
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.964    19.244
    42.817    18.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.006    17.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.006    17.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.006    17.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.006    17.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.006    17.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.015    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.015    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.015    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.015    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.015    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.022    17.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.022    17.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.022    17.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.022    17.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.022    17.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.022    17.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.964    19.244
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.964    19.244
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.052    19.499
    42.824    18.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.343    18.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.613    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.769    17.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.771    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.751    17.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.835    17.830
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.758    17.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.841    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.792    17.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.792    17.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.792    17.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.792    17.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.792    17.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.792    17.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.792    17.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.821    17.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.794    17.855
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.843    17.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.821    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.821    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.821    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.821    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.821    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.821    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.821    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.802    17.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.752    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.771    17.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.835    17.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.838    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.855    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.855    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.855    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.855    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.855    17.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.820    17.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.798    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.798    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.798    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.798    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.798    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.798    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.798    17.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.817    17.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.785    17.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.795    17.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.794    17.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.796    17.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.087    18.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.447    18.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.447    18.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.447    18.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.440    18.250
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.440    18.250
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.440    18.250
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.440    18.250
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.440    18.250
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.440    18.250
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.964    19.244
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.052    19.499
    42.694    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.283    18.828
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.113    18.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.000    17.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.001    17.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.164    18.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.815    17.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.324    18.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.330    18.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.232    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.232    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.232    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.232    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.232    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.232    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.232    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.649    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.649    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.649    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.649    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.649    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.649    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.649    17.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.283    17.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.028    18.143
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.021    18.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.024    17.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.458    18.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.203    18.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.149    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.148    18.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.167    18.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.176    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.191    18.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.192    18.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.183    18.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.908    17.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.880    17.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.225    17.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.928    17.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.266    18.708
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.241    18.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.176    18.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.089    18.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    42.980    18.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.086    18.951
    43.159    18.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.041    18.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    42.906    18.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.065    18.775
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    42.742    17.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.091    17.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.048    18.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.049    18.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.261    19.973
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.866    19.405
    43.037    18.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    19.893
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.964    19.244
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.594    19.959
    42.805    18.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.014    17.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.958    17.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    42.901    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.813    18.993
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    43.047    18.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.068    17.165
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.068    17.165
    43.245    17.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.618    19.370
    42.883    18.509
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.299    18.103
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.299    18.103
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.178    16.449
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.178    16.449
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.068    17.165
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.068    17.165
    43.194    17.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.068    17.165
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.068    17.165
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.178    16.449
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.178    16.449
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.302    17.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.299    18.103
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.299    18.103
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.178    16.449
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.198    17.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.299    18.103
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.299    18.103
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.169    18.585
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.169    18.585
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.179    17.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.169    18.585
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.169    18.585
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.191    17.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.330    19.389
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.273    18.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.178    16.449
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.178    16.449
    43.473    17.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.301    18.894
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.430    19.255
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.187    19.184
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.850    19.515
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    42.623    18.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.767    18.953
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.547    18.918
    43.015    17.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.169    18.585
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.169    18.585
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.494    17.133
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.669    18.147
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.902    18.539
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.288    17.020
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.717    18.350
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.203    18.905
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.769    16.892
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.447    18.494
    43.192    17.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.740    17.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.872    17.700
    42.740    17.944
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    43.873    18.428     0.300
    42.902    18.539     0.300
    42.447    18.494     0.300
    42.430    19.255     0.300
    42.283    18.828     0.300
    43.330    19.389     0.300
    42.813    18.993     0.300
    42.872    19.893     0.300
    42.594    19.959     0.300
    41.964    19.244     0.300
    42.052    19.499     0.300
    42.430    19.255     0.300
    42.872    19.893     0.300
    42.872    17.700     0.300
    43.203    18.905     0.300
    42.717    18.350     0.300
    42.301    18.894     0.300
    43.261    19.973     0.300
    42.767    18.953     0.300
    42.187    19.184     0.300
    43.866    19.405     0.300
    42.547    18.918     0.300
    42.850    19.515     0.300
    44.086    18.951     0.300
    42.669    18.147     0.300
    43.618    19.370     0.300
    43.494    17.133     0.300
    43.288    17.020     0.300
    42.769    16.892     0.300
    44.068    17.165     0.300
    43.299    18.103     0.300
    43.178    16.449     0.300
    43.169    18.585     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.522    18.276     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.473    18.166     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.773    18.171     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.966    17.826     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.958    17.813     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.962    17.842     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.451    18.603     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.817    18.801     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.006    17.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.015    17.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.022    17.856     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.824    18.731     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.343    18.520     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.613    18.171     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.769    17.970     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.771    17.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.751    17.899     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.835    17.830     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.758    17.869     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.841    17.855     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.792    17.910     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.821    17.870     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.794    17.855     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.843    17.877     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.821    17.901     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.802    17.866     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.752    17.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.771    17.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.835    17.874     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.838    17.850     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.855    17.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.820    17.922     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.798    17.850     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.817    17.793     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.785    17.924     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.795    17.907     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.794    17.955     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.796    17.882     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.087    18.312     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.447    18.275     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.440    18.250     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.694    18.483     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.113    18.959     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.000    17.775     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.001    17.724     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.164    18.171     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.815    17.804     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.324    18.720     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.330    18.704     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.232    17.818     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.649    17.901     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.283    17.961     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.028    18.143     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.021    18.719     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.024    17.573     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.458    18.568     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.203    18.841     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.149    18.765     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.148    18.745     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.167    18.886     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.176    18.773     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.191    18.706     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.192    18.698     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.183    18.699     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.908    17.868     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.880    17.807     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.225    17.809     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.928    17.818     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.266    18.708     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.241    18.671     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.176    18.724     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.089    18.765     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.980    18.762     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.159    18.483     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.041    18.347     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.906    18.205     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.065    18.775     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.742    17.913     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.091    17.506     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.048    18.764     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.049    18.773     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.037    18.770     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.805    18.693     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.014    17.985     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.958    17.962     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.901    18.509     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.047    18.024     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.245    17.885     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.883    18.509     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.194    17.798     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.302    17.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.198    17.782     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.179    17.808     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.191    17.968     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.273    18.047     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.473    17.721     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.623    18.231     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.015    17.753     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.192    17.853     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.740    17.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.051    18.173     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.072    18.025     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    43.082    18.058     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    43.017    18.160     0.000   222.000   222.000
    43.017    18.160     0.000   444.000   444.000
END
